Page MenuHomePhabricator

Argument 1 passed to CirrusSearch\Connection::getPool() must be an instance of CirrusSearch\SearchConfig, null given when adding a new wiki
Closed, ResolvedPublic

Description

Following the add wiki procedure, I merged the dblist/config change for a new wiki (T140898) and synced it to terbium (through a scap pull) when I ran the addWiki.php script

1$ scap pull
2# So we have the dblists on Terbium
3$ mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki tcy wikipedia tcywiki tcy.wikipedia.org
4Creating database tcywiki for tcy.wikipedia (ತುಳು)
5Initialising tables
6Initialising external storage cluster24...
7Initialising external storage cluster25...
8Writing main page to ಮುಖ್ಯ_ಪುಟ
9Writing sidebar donate link to MediaWiki:Sitesupport-url
10Catchable fatal error: Argument 1 passed to CirrusSearch\Connection::getPool() must be an instance of CirrusSearch\SearchConfig, null given, called in /srv/mediawiki/php-1.28.0-wmf.13/extensions/CirrusSearch/includes/Maintenance/Maintenance.php on line 88 and defined in /srv/mediawiki/php-1.28.0-wmf.13/extensions/CirrusSearch/includes/Connection.php on line 90

Manual run afterwards when the wiki is live successfully worked:

1$ mwscript extensions/CirrusSearch/maintenance/updateSearchIndexConfig.php --wiki=tcywiki --baseName=tcywiki
2content index...
3 Fetching Elasticsearch version...2.3.3...ok
4 Scanning available plugins...
5 analysis-icu, experimental-highlighter, extra, swift-repository
6 Inferring index identifier...tcywiki_content_first
7 Picking analyzer...default
8 Validating number of shards...ok
9 Validating replica range...ok
10 Validating shard allocation settings...done
11 Validating max shards per node...ok
12 Validating analyzers...ok
13 Validating mappings...
14 Validating mapping...different...corrected
15 Validating cache warmers...
16 Validating aliases...
17 Validating tcywiki_content alias...ok
18 Validating tcywiki alias...ok
19 Updating tracking indexes...done
20general index...
21 Fetching Elasticsearch version...2.3.3...ok
22 Scanning available plugins...
23 analysis-icu, experimental-highlighter, extra, swift-repository
24 Inferring index identifier...tcywiki_general_first
25 Picking analyzer...default
26 Validating number of shards...ok
27 Validating replica range...ok
28 Validating shard allocation settings...done
29 Validating max shards per node...ok
30 Validating analyzers...ok
31 Validating mappings...
32 Validating mapping...different...corrected
33 Validating cache warmers...
34 Validating aliases...
35 Validating tcywiki_general alias...ok
36 Validating tcywiki alias...ok
37 Updating tracking indexes...done
38 Deleting namespaces...done
39 Indexing namespaces...done

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptAug 4 2016, 10:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 304208 had a related patch set uploaded (by DCausse):
Defer SearchConfig instantiation when it's actually needed

https://gerrit.wikimedia.org/r/304208

Change 304208 merged by jenkins-bot:
Defer SearchConfig instantiation when it's actually needed

https://gerrit.wikimedia.org/r/304208

debt triaged this task as Normal priority.Aug 18 2016, 10:23 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt moved this task from in progress to Done on the Discovery-Search (Current work) board.
debt closed this task as Resolved.Aug 22 2016, 9:50 PM
debt claimed this task.